Bug 448218 - r128 freezes X
r128 freezes X
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-05-24 11:38 EDT by Sarantis Paskalis
Modified: 2010-02-26 10:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-26 10:31:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg.0.log without xorg.conf (49.91 KB, text/plain)
2008-05-24 11:38 EDT, Sarantis Paskalis
no flags Details
Xorg.0.log without xorg.conf (51.01 KB, text/plain)
2008-05-28 09:03 EDT, Sarantis Paskalis
no flags Details

  None (edit)
Description Sarantis Paskalis 2008-05-24 11:38:38 EDT
Description of problem:

X is coming out with a corrupted display.  I might move the mouse, but seems to
get stuck for a couple of minutes if I press any button or do something that
causes the display to change (mouse over, etc.)

The card did ok in FC8 and previous, but required tweaking in xorg.conf
(actually removing the unwanted resolutions)

Version-Release number of selected component (if applicable):

How reproducible:
Almost always.  (Sidenote about almost: While playing around with xorg.conf I
managed to start X up and perform a session perfectly, but on the next startup
it stuck again with the same config)

Steps to Reproduce:
1. startx without xorg.conf or with xorg.conf specifying r128 driver
2. X comes up corrupted
Actual results:

Expected results:

Additional info:
Comment 1 Sarantis Paskalis 2008-05-24 11:38:38 EDT
Created attachment 306583 [details]
Xorg.0.log without xorg.conf
Comment 2 Sarantis Paskalis 2008-05-28 09:03:46 EDT
Created attachment 306928 [details]
Xorg.0.log without xorg.conf

A longer version of the same log.  The previous one did not reach the
interesting point.
Comment 3 Bug Zapper 2009-06-09 21:08:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 13:30:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Sarantis Paskalis 2009-07-15 09:38:25 EDT
This bug also appears in Fedora 10 (all updates applied).
Comment 6 Sarantis Paskalis 2009-10-16 04:23:30 EDT
Fedora 11 also (all updates applied).
Comment 7 Matěj Cepl 2009-11-05 13:19:42 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2010-02-26 07:21:21 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Sarantis Paskalis 2010-02-26 10:31:20 EST
I have since replaced the hardware with another currently working one. If I ever switch back to the broken one, I will report the result.

Note You need to log in before you can comment on or make changes to this bug.